Issue 121803 - DOCX Import: fixed cropping problem
DOCX Import: fixed cropping problem
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-20 12:17 UTC by Sven Jacobi
Modified: 2013-04-18 13:09 UTC (History)
4 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
docx containing multiple cropped graphics (19.73 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-02-20 12:17 UTC, Sven Jacobi
no flags Details
patch solving the crop problem (1.46 KB, text/plain)
2013-02-20 12:22 UTC, Sven Jacobi
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Sven Jacobi 2013-02-20 12:17:40 UTC
Created attachment 80308 [details]
docx containing multiple cropped graphics

The docx import is ignoring cropped graphics. I added a bugdoc that 

Cropping is ignored if loading 29533
Comment 1 Sven Jacobi 2013-02-20 12:22:41 UTC
Created attachment 80309 [details]
patch solving the crop problem

Sorry for my first comment. I tried to attach multiple attachments at once. The bugdoc demonstrates the missing cropping feature.

The patch resolves this problem, I make it available to AOO under ALv2. Most probably this issue will also fix bug 29533.
Comment 2 Rob Weir 2013-03-11 15:01:45 UTC
I'm adding this comment to all open issues with Issue Type == PATCH.  We have 220 such issues, many of them quite old.  I apologize for that.  

We need your help in prioritizing which patches should be integrated into our next release, Apache OpenOffice 4.0.

If you have submitted a patch and think it is applicable for AOO 4.0, please respond with a comment to let us know.

On the other hand, if the patch is no longer relevant, please let us know that as well.

If you have any general questions or want to discuss this further, please send a note to our dev mailing list:  dev@openoffice.apache.org

Thanks!

-Rob
Comment 3 Sven Jacobi 2013-03-12 11:16:28 UTC
This patch is applicable for AOO 4.0.
Comment 4 Rob Weir 2013-03-21 19:05:02 UTC
Good for 4.0
Comment 5 Oliver-Rainer Wittmann 2013-03-22 12:43:35 UTC
Thx, Rob for the reminder - I already had this issue on my "radar".

I will take care of it.
Comment 6 Oliver-Rainer Wittmann 2013-04-18 10:24:01 UTC
review and integration of patch in progress
Comment 7 SVN Robot 2013-04-18 13:07:32 UTC
"orw" committed SVN revision 1469302 into trunk:
121803: fix cropping on DOCX import
Comment 8 Oliver-Rainer Wittmann 2013-04-18 13:09:27 UTC
applied patch for AOO 4.0